Subject: Re: bug#13522: 24.2; save-buffer removes edited file under some conditions

From: Vincent Lefevre <[email-masked]>
Date: Tue, 15 Mar 2022 16:55:22 +0100

On 2022-03-15 15:25:46 +0100, Lars Ingebrigtsen wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > Does the problem actually happen if you type C-z?  Emacs is not dead
> > in that case, just suspended.  Type "fg RET", and you are back inside
> > Emacs, and can pick up where you left off.  Right?
> 
> Yes, but the file is apparently missing after `C-z'.

Actually, as I've said in another mail, you do not even need to do C-z.
The file is missing after C-x C-s: if I try to look at the file from
a different terminal (a real terminal or with GNU Screen), this file
is missing. This may also be problematic for those who have automatic
backups to a remote storage area (in particular if files matching *~
are ignored for these backups).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)